net.minecraft.world

## Class WorldProviderEnd

- java.lang.Object
- - net.minecraft.world.WorldProvider
  - - net.minecraft.world.WorldProviderEnd

-     public class WorldProviderEnd
      extends WorldProvider

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.world.WorldProvider

      `dimensionId, field_82913_c, hasNoSky, isHellWorld, lightBrightnessTable, terrainType, worldChunkMgr, worldObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorldProviderEnd()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float[]` | `calcSunriseSunsetColors(float par1, float par2)`
    `float` | `calculateCelestialAngle(long par1, float par3)` Calculates the angle of sun and moon in the sky relative to a specified time (usually worldTime)
    `boolean` | `canCoordinateBeSpawn(int par1, int par2)` Will check if the x, z position specified is alright to be set as the map spawn point
    `boolean` | `canRespawnHere()` True if the player can respawn in this dimension (true = overworld, false = nether).
    `IChunkProvider` | `createChunkGenerator()` Returns a new chunk provider which generates chunks for this world
    `boolean` | `doesXZShowFog(int par1, int par2)`
    `int` | `getAverageGroundLevel()`
    `float` | `getCloudHeight()`
    `String` | `getDimensionName()` Returns the dimension's name, e.g.
    `ChunkCoordinates` | `getEntrancePortalLocation()` Gets the hard-coded portal location to use when entering this dimension.
    `Vec3` | `getFogColor(float par1, float par2)`
    `boolean` | `isSkyColored()`
    `boolean` | `isSurfaceWorld()` Returns 'true' if in the "main surface world", but 'false' if in the Nether or End dimensions.
    `void` | `registerWorldChunkManager()` creates a new world chunk manager for WorldProvider

    - ### Methods inherited from class net.minecraft.world.WorldProvider

      `calculateInitialWeather, canBlockFreeze, canDoLightning, canDoRainSnowIce, canMineBlock, canSnowAt, drawClouds, getActualHeight, getBiomeGenForCoords, getCloudRenderer, getDepartMessage, getHeight, getHorizon, getMoonPhase, getMovementFactor, getProviderForDimension, getRandomizedSpawnPoint, getRespawnDimension, getSaveFolder, getSeed, getSkyColor, getSkyRenderer, getSpawnPoint, getStarBrightness, getVoidFogYFactor, getWelcomeMessage, getWorldHasVoidParticles, getWorldTime, isBlockHighHumidity, isDaytime, registerWorld, resetRainAndThunder, setAllowedSpawnTypes, setCloudRenderer, setDimension, setSkyRenderer, setSpawnPoint, setWorldTime, shouldMapSpin, toggleRain, updateWeather`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorldProviderEnd

          public WorldProviderEnd()

  - ### Method Detail

    - #### registerWorldChunkManager

          public void registerWorldChunkManager()

      creates a new world chunk manager for WorldProvider

    - #### createChunkGenerator

          public IChunkProvider createChunkGenerator()

      Returns a new chunk provider which generates chunks for this world
      Overrides:
        `createChunkGenerator` in class `WorldProvider`

    - #### calculateCelestialAngle

          public float calculateCelestialAngle(long par1,
                                      float par3)

      Calculates the angle of sun and moon in the sky relative to a specified time (usually worldTime)
      Overrides:
        `calculateCelestialAngle` in class `WorldProvider`

    - #### calcSunriseSunsetColors

          public float[] calcSunriseSunsetColors(float par1,
                                        float par2)

      Overrides:
        `calcSunriseSunsetColors` in class `WorldProvider`

    - #### getFogColor

          public Vec3 getFogColor(float par1,
                         float par2)

      Overrides:
        `getFogColor` in class `WorldProvider`

    - #### isSkyColored

          public boolean isSkyColored()

      Overrides:
        `isSkyColored` in class `WorldProvider`

    - #### canRespawnHere

          public boolean canRespawnHere()

      True if the player can respawn in this dimension (true = overworld, false = nether).
      Overrides:
        `canRespawnHere` in class `WorldProvider`

    - #### isSurfaceWorld

          public boolean isSurfaceWorld()

      Returns 'true' if in the "main surface world", but 'false' if in the Nether or End dimensions.
      Overrides:
        `isSurfaceWorld` in class `WorldProvider`

    - #### getCloudHeight

          public float getCloudHeight()

      Overrides:
        `getCloudHeight` in class `WorldProvider`

    - #### canCoordinateBeSpawn

          public boolean canCoordinateBeSpawn(int par1,
                                     int par2)

      Will check if the x, z position specified is alright to be set as the map spawn point
      Overrides:
        `canCoordinateBeSpawn` in class `WorldProvider`

    - #### getEntrancePortalLocation

          public ChunkCoordinates getEntrancePortalLocation()

      Gets the hard-coded portal location to use when entering this dimension.
      Overrides:
        `getEntrancePortalLocation` in class `WorldProvider`

    - #### getAverageGroundLevel

          public int getAverageGroundLevel()

      Overrides:
        `getAverageGroundLevel` in class `WorldProvider`

    - #### doesXZShowFog

          public boolean doesXZShowFog(int par1,
                              int par2)

      Overrides:
        `doesXZShowFog` in class `WorldProvider`

    - #### getDimensionName

          public String getDimensionName()

      Returns the dimension's name, e.g. "The End", "Nether", or "Overworld".
      Specified by:
        `getDimensionName` in class `WorldProvider`